org.gjt.sp.jedit

## Interface EBComponent

All Known Implementing Classes:
  DockingLayoutManager, EBPlugin, JEditSwingTrayIcon

    public interface EBComponent

A component on the EditBus. Every plugin class that uses the EditBus for receiving messages must implement this interface.

Since:
  jEdit 2.2pre6
See Also:
  `EBMessage`

### Method Summary

Methods
`void` `handleMessage(EBMessage message)` Handles a message sent on the EditBus.

### Method Detail

#### handleMessage

    void handleMessage(EBMessage message)

Handles a message sent on the EditBus. This method must specify the type of responses the plugin will have for various subclasses of the `EBMessage` class. Typically this is done with one or more `if` blocks that test whether the message is an instance of a derived message class in which the component has an interest. For example:

     if(msg instanceof BufferUpdate) {
         // a buffer's state has changed!
     }
     else if(msg instanceof ViewUpdate) {
         // a view's state has changed!
     }
     // ... and so on

Parameters:
  `message` - The message